#!/sbin/sh
# SlimUF tool by kufikugel
#
# based on the "VillainTheme system" tool by VillainTeam. More info etc, head to www.villainrom.co.uk
# 
# say thanks to JRsoft & Intronauta & sush667
#
#
# SlimUF Flasher tool is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or any later version.
#
# SlimUF tool is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
# without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
# See the GNU General Public License for more details: <http://www.gnu.org/licenses/>



SYSTEM=`cat /cache/tools/SlimUF.config | grep mount_system | cut -d ">" -f 2`
DATA=`cat /cache/tools/SlimUF.config | grep mount_data | cut -d ">" -f 2`
UTMP=`cat /cache/tools/SlimUF.config | grep mount_Utmp | cut -d ">" -f 2`
SD=`/sdcard`



for i in /system /data /Utmp $SD; do
  if [ $i = "/system" ]; then
     /sbin/$SYSTEM
  elif [ $i = "/data" ]; then
     /sbin/$DATA
  elif [ $i = "/Utmp" ]; then
     mkdir -p $i
     /sbin/$UTMP
  fi
  
  if [ `mount | awk '{print $3}' | grep $i | wc -l` = 0 ]; then     
     touch /cache/tools/ERROR`basename $i`
  fi

done
